complexType "PositiveSchedule"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 1 element
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | initialValue
</...>

Content Model Elements (1):

  initialValue (defined in PositiveSchedule complexType)

Known Direct Subtypes (1):

  PositiveAmountSchedule

Known Usage Locations

- In derivations of other global types (1):
  PositiveAmountSchedule (as extension base)

Annotation
A type defining a schedule of strictly-postive rates or amounts in terms of an initial value and then a series of step date and value pairs. On each step date the rate or amount changes to the new step value. The series of step date and value pairs are optional. If not specified, this implies that the initial value remains unchanged over time.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="PositiveSchedule"> <xsd:sequence> <xsd:element name="initialValue" type="PositiveDecimal"/> <!--View Generation: SKIPPED step - NonStandardFeature--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/1)
initialValue

  Type: | PositiveDecimal, simple content

  The strictly-positive initial rate or amount, as the case may be. An initial rate of 5% would be represented as 0.05.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="initialValue" type="PositiveDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.